> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/python/dbaas-postgres/api/restoresapi.md).

# RestoresApi

## RestoresApi

All URIs are relative to *<https://api.ionos.com/databases/postgresql>*

| Method                                              | HTTP request                           | Description                   |
| --------------------------------------------------- | -------------------------------------- | ----------------------------- |
| [**cluster\_restore\_post**](#cluster_restore_post) | **POST** /clusters/{clusterId}/restore | In-place restore of a cluster |

## **cluster\_restore\_post**

> cluster\_restore\_post(cluster\_id, create\_restore\_request)

In-place restore of a cluster

Triggers an in-place restore of the given PostgreSQL.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud_dbaas_postgres
from ionoscloud_dbaas_postgres.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/databases/postgresql
configuration = ionoscloud_dbaas_postgres.Configuration(
    host = 'https://api.ionos.com/databases/postgresql',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud_dbaas_postgres.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud_dbaas_postgres.RestoresApi(api_client)
    cluster_id = '498ae72f-411f-11eb-9d07-046c59cc737e' # str | The unique ID of the cluster.
    create_restore_request = ionoscloud_dbaas_postgres.CreateRestoreRequest() # CreateRestoreRequest | The restore request to create.
    try:
        # In-place restore of a cluster
        api_instance.cluster_restore_post(cluster_id, create_restore_request)
    except ApiException as e:
        print('Exception when calling RestoresApi.cluster_restore_post: %s\n' % e)
```

#### Parameters

| Name                         | Type                                                                                    | Description                    | Notes |
| ---------------------------- | --------------------------------------------------------------------------------------- | ------------------------------ | ----- |
| **cluster\_id**              | **str**                                                                                 | The unique ID of the cluster.  |       |
| **create\_restore\_request** | [**CreateRestoreRequest**](/cloud/python/dbaas-postgres/models/createrestorerequest.md) | The restore request to create. |       |

#### Return type

void (empty response body)

#### Authorization

basicAuth, tokenAuth

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/python/dbaas-postgres/api/restoresapi.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
